Module ij
Package ij.plugin

# Class Resizer

java.lang.Object
ij.plugin.Resizer

All Implemented Interfaces:
  `PlugIn`, `ItemListener`, `TextListener`, `EventListener`

public class Resizer extends Object implements PlugIn, TextListener, ItemListener
This plugin implements the Edit/Crop and Image/Adjust/Size commands.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`IN_PLACE`
`static final int`
`SCALE_T`

## Constructor Summary

Constructors
Constructor
Description
`Resizer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`itemStateChanged(ItemEvent e)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`setAverageWhenDownsizing(boolean averageWhenDownsizing)`
`void`
`textValueChanged(TextEvent e)`
`ImagePlus`
`zScale(ImagePlus imp, int newDepth, int interpolationMethod)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IN_PLACE

public static final int IN_PLACE

See Also:
  - Constant Field Values

### SCALE_T

public static final int SCALE_T

See Also:
  - Constant Field Values

## Constructor Details

### Resizer

public Resizer()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### zScale

public ImagePlus zScale(ImagePlus imp, int newDepth, int interpolationMethod)

### textValueChanged

public void textValueChanged(TextEvent e)

Specified by:
  `textValueChanged` in interface `TextListener`

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### setAverageWhenDownsizing

public void setAverageWhenDownsizing(boolean averageWhenDownsizing)